> ## Documentation Index
> Fetch the complete documentation index at: https://new-fb342056.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaigns

> Get a list of all campaigns



## OpenAPI

````yaml GET /user/campaigns
openapi: 3.1.0
info:
  title: Robocallz API
  description: API documentation for Robocallz platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.robocallz.ai
security:
  - bearerAuth: []
paths:
  /user/campaigns:
    get:
      summary: List campaigns
      description: List all campaigns
      responses:
        '200':
          description: List of campaigns
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      description: The id of the campaign
                    name:
                      type: string
                      description: The name of the campaign
                    status:
                      type: string
                      description: The status of the campaign
                    max_calls_in_parallel:
                      type: integer
                      description: Maximum number of calls that can be made in parallel
                    mark_complete_when_no_leads:
                      type: boolean
                      description: >-
                        Whether to mark the campaign as complete when there are
                        no leads
                    allowed_hours_start_time:
                      type: string
                      description: The start time for allowed calling hours
                    allowed_hours_end_time:
                      type: string
                      description: The end time for allowed calling hours
                    allowed_days:
                      type: array
                      description: The days of the week when calls are allowed
                      items:
                        type: string
                    max_retries:
                      type: integer
                      description: Maximum number of retry attempts for failed calls
                    retry_interval:
                      type: integer
                      description: Interval in seconds between retry attempts
                    created_at:
                      type: string
                      description: The timestamp when the campaign was created
                    updated_at:
                      type: string
                      description: The timestamp when the campaign was last updated
              example:
                - id: 1
                  name: Test campaing
                  status: draft
                  max_calls_in_parallel: 3
                  mark_complete_when_no_leads: true
                  allowed_hours_start_time: '00:00:00'
                  allowed_hours_end_time: '23:59:00'
                  allowed_days:
                    - monday
                    - tuesday
                    - wednesday
                    - thursday
                    - friday
                    - saturday
                    - sunday
                  max_retries: 3
                  retry_interval: 60
                  created_at: '2025-05-29T07:18:34.000000Z'
                  updated_at: '2025-05-29T07:18:34.000000Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````